Package ch.qos.logback.core.pattern.color

# Class ANSIConstants

java.lang.Object
ch.qos.logback.core.pattern.color.ANSIConstants

public class ANSIConstants extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BLACK_FG`
`static final String`
`BLUE_FG`
`static final String`
`BOLD`
`static final String`
`CYAN_FG`
`static final String`
`DEFAULT_FG`
`static final String`
`ESC_END`
`static final String`
`ESC_START`
`static final String`
`GREEN_FG`
`static final String`
`MAGENTA_FG`
`static final String`
`RED_FG`
`static final String`
`WHITE_FG`
`static final String`
`YELLOW_FG`

## Constructor Summary

Constructors
Constructor
Description
`ANSIConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ESC_START

public static final String ESC_START

See Also:
  - Constant Field Values

### ESC_END

public static final String ESC_END

See Also:
  - Constant Field Values

### BOLD

public static final String BOLD

See Also:
  - Constant Field Values

### BLACK_FG

public static final String BLACK_FG

See Also:
  - Constant Field Values

### RED_FG

public static final String RED_FG

See Also:
  - Constant Field Values

### GREEN_FG

public static final String GREEN_FG

See Also:
  - Constant Field Values

### YELLOW_FG

public static final String YELLOW_FG

See Also:
  - Constant Field Values

### BLUE_FG

public static final String BLUE_FG

See Also:
  - Constant Field Values

### MAGENTA_FG

public static final String MAGENTA_FG

See Also:
  - Constant Field Values

### CYAN_FG

public static final String CYAN_FG

See Also:
  - Constant Field Values

### WHITE_FG

public static final String WHITE_FG

See Also:
  - Constant Field Values

### DEFAULT_FG

public static final String DEFAULT_FG

See Also:
  - Constant Field Values

## Constructor Details

### ANSIConstants

public ANSIConstants()